VPS侦探论坛

 找回密码
 注册
查看: 419|回复: 5

lnmp1.5版本升级php到7.4失败

[复制链接]
发表于 2021-7-28 10:07:48 | 显示全部楼层 |阅读模式



错误日志如下:

  1. Download php-7.4.21.tar.bz2 successfully!
  2. .... *
  3. Gracefully shutting down php-fpm . done
  4. Installing Dependent for PHP...
  5. Ign http://packages.linuxmint.com rosa InRelease
  6. Hit http://security.ubuntu.com trusty-security InRelease
  7. Ign http://archive.canonical.com trusty InRelease
  8. Ign http://extra.linuxmint.com rosa InRelease
  9. Get:1 http://packages.linuxmint.com rosa Release.gpg [195 B]
  10. Hit http://archive.canonical.com trusty/partner amd64 Packages
  11. Hit http://extra.linuxmint.com rosa Release
  12. Hit http://security.ubuntu.com trusty-security/multiverse amd64 Packages
  13. Get:2 http://packages.linuxmint.com rosa Release [24,1 kB]
  14. Hit http://archive.canonical.com trusty/partner i386 Packages
  15. Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
  16. Get:3 http://packages.linuxmint.com rosa/main amd64 Packages [32,9 kB]
  17. Hit http://security.ubuntu.com trusty-security/restricted Translation-en
  18. Hit http://security.ubuntu.com trusty-security/universe Translation-en
  19. Get:4 http://packages.linuxmint.com rosa/upstream amd64 Packages [47,1 kB]
  20. Ign http://extra.linuxmint.com rosa/main Translation-en_US
  21. Ign http://extra.linuxmint.com rosa/main Translation-en
  22. Ign http://archive.ubuntu.com trusty InRelease
  23. Get:5 https://get.daocloud.io ubuntu-trusty InRelease
  24. Ign https://get.daocloud.io ubuntu-trusty InRelease
  25. Ign https://get.daocloud.io ubuntu-trusty Release.gpg
  26. Ign https://get.daocloud.io ubuntu-trusty Release
  27. Ign https://get.daocloud.io ubuntu-trusty/main amd64 Packages/DiffIndex
  28. Hit http://archive.ubuntu.com trusty-updates InRelease
  29. Hit http://archive.ubuntu.com trusty Release.gpg
  30. Ign https://get.daocloud.io ubuntu-trusty/main Translation-en_US
  31. Ign https://get.daocloud.io ubuntu-trusty/main Translation-en
  32. Err https://get.daocloud.io ubuntu-trusty/main amd64 Packages
  33.   HttpError502
  34. Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
  35. Get:6 http://packages.linuxmint.com rosa/import amd64 Packages [300 kB]
  36. Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
  37. Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
  38. Hit http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages
  39. Hit http://archive.ubuntu.com trusty-updates/main i386 Packages
  40. Hit http://archive.ubuntu.com trusty-updates/restricted i386 Packages
  41. Hit http://archive.ubuntu.com trusty-updates/universe i386 Packages
  42. Hit http://archive.ubuntu.com trusty-updates/multiverse i386 Packages
  43. Hit http://archive.ubuntu.com trusty-updates/main Translation-en
  44. Get:7 https://mirrors.tuna.tsinghua.edu.cn xenial InRelease
  45. Err https://mirrors.tuna.tsinghua.edu.cn xenial InRelease
  46.   
  47. Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
  48. Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
  49. Hit http://archive.ubuntu.com trusty-updates/universe Translation-en
  50. Ign https://packages.gitlab.com rosa InRelease
  51. Hit http://archive.ubuntu.com trusty Release
  52. Hit http://archive.ubuntu.com trusty/main amd64 Packages
  53. Ign https://packages.gitlab.com rosa InRelease
  54. Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
  55. Ign https://packages.gitlab.com rosa Release.gpg
  56. Ign https://packages.gitlab.com rosa Release.gpg
  57. Hit http://archive.ubuntu.com trusty/universe amd64 Packages
  58. Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
  59. Ign https://packages.gitlab.com rosa Release
  60. Hit http://archive.ubuntu.com trusty/main i386 Packages
  61. Ign https://packages.gitlab.com rosa Release
  62. Hit http://archive.ubuntu.com trusty/restricted i386 Packages
  63. Hit http://archive.ubuntu.com trusty/universe i386 Packages
  64. Hit http://archive.ubuntu.com trusty/multiverse i386 Packages
  65. Ign https://packages.gitlab.com rosa/main Sources/DiffIndex
  66. Hit http://archive.ubuntu.com trusty/main Translation-en
  67. Ign https://packages.gitlab.com rosa/main amd64 Packages/DiffIndex
  68. Ign https://packages.gitlab.com rosa/main i386 Packages/DiffIndex
  69. Hit http://archive.ubuntu.com trusty/multiverse Translation-en
  70. Hit http://archive.ubuntu.com trusty/restricted Translation-en
  71. Hit http://archive.ubuntu.com trusty/universe Translation-en
  72. Ign https://packages.gitlab.com rosa/main Sources/DiffIndex
  73. Ign https://packages.gitlab.com rosa/main amd64 Packages/DiffIndex
  74. Ign https://packages.gitlab.com rosa/main i386 Packages/DiffIndex
  75. Ign http://archive.ubuntu.com trusty/main Translation-en_US
  76. Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US
  77. Ign http://archive.ubuntu.com trusty/restricted Translation-en_US
  78. Ign http://archive.ubuntu.com trusty/universe Translation-en_US
  79. Get:8 http://packages.linuxmint.com rosa/main i386 Packages [32,3 kB]
  80. Get:9 http://packages.linuxmint.com rosa/upstream i386 Packages [47,1 kB]
  81. Get:10 http://packages.linuxmint.com rosa/import i386 Packages [301 kB]
  82. Ign https://packages.gitlab.com rosa/main Translation-en_US
  83. Ign https://packages.gitlab.com rosa/main Translation-en
  84. Ign https://packages.gitlab.com rosa/main Translation-en_US
  85. Ign https://packages.gitlab.com rosa/main Translation-en
  86. Err https://packages.gitlab.com rosa/main Sources
  87.   gnutls_handshake() failed: Handshake failed
  88. Err https://packages.gitlab.com rosa/main amd64 Packages
  89.   gnutls_handshake() failed: Handshake failed
  90. Err https://packages.gitlab.com rosa/main i386 Packages
  91.   gnutls_handshake() failed: Handshake failed
  92. Err https://packages.gitlab.com rosa/main Sources
  93.   gnutls_handshake() failed: Handshake failed
  94. Err https://packages.gitlab.com rosa/main amd64 Packages
  95.   gnutls_handshake() failed: Handshake failed
  96. Err https://packages.gitlab.com rosa/main i386 Packages
  97.   gnutls_handshake() failed: Handshake failed
  98. Ign http://packages.linuxmint.com rosa/import Translation-en_US
  99. Ign http://packages.linuxmint.com rosa/import Translation-en
  100. Ign http://packages.linuxmint.com rosa/main Translation-en_US
  101. Ign http://packages.linuxmint.com rosa/main Translation-en
  102. Ign http://packages.linuxmint.com rosa/upstream Translation-en_US
  103. Ign http://packages.linuxmint.com rosa/upstream Translation-en
  104. Fetched 808 kB in 49s (16,2 kB/s)
  105. Reading package lists...
  106. W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://mirrors.tuna.tsinghua.edu.cn xenial InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 3F01618A51312F3F
  107. W: Failed to fetch https://mirrors.tuna.tsinghua.edu.cn/gitlab-ce/ubuntu/dists/xenial/InRelease  
  108. W: Failed to fetch https://get.daocloud.io/docker/apt-repo/dists/ubuntu-trusty/main/binary-amd64/Packages  HttpError502
  109. W: Failed to fetch https://packages.gitlab.com/gitlab/gitlab-ee/linuxmint/dists/rosa/main/source/Sources  gnutls_handshake() failed: Handshake failed
  110. W: Failed to fetch https://packages.gitlab.com/gitlab/gitlab-ee/linuxmint/dists/rosa/main/binary-amd64/Packages  gnutls_handshake() failed: Handshake failed
  111. W: Failed to fetch https://packages.gitlab.com/gitlab/gitlab-ee/linuxmint/dists/rosa/main/binary-i386/Packages  gnutls_handshake() failed: Handshake failed
  112. W: Failed to fetch https://packages.gitlab.com/runner/gitlab-ci-multi-runner/linuxmint/dists/rosa/main/source/Sources  gnutls_handshake() failed: Handshake failed
  113. W: Failed to fetch https://packages.gitlab.com/runner/gitlab-ci-multi-runner/linuxmint/dists/rosa/main/binary-amd64/Packages  gnutls_handshake() failed: Handshake failed
  114. W: Failed to fetch https://packages.gitlab.com/runner/gitlab-ci-multi-runner/linuxmint/dists/rosa/main/binary-i386/Packages  gnutls_handshake() failed: Handshake failed
  115. W: Some index files failed to download. They have been ignored, or old ones used instead.
  116. Reading package lists...
  117. Building dependency tree...
  118. Reading state information...
  119. libc-ares-dev is already the newest version.
  120. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
  121. Reading package lists...
  122. Building dependency tree...
  123. Reading state information...
  124. libicu-dev is already the newest version.
  125. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
  126. Reading package lists...
  127. Building dependency tree...
  128. Reading state information...
  129. e2fsprogs is already the newest version.
  130. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
  131. Reading package lists...
  132. Building dependency tree...
  133. Reading state information...
  134. E: Unable to locate package libxslt
  135. Reading package lists...
  136. Building dependency tree...
  137. Reading state information...
  138. libxslt1-dev is already the newest version.
  139. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
  140. Reading package lists...
  141. Building dependency tree...
  142. Reading state information...
  143. libc-client2007e-dev is already the newest version.
  144. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
  145. Reading package lists...
  146. Building dependency tree...
  147. Reading state information...
  148. xz-utils is already the newest version.
  149. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
  150. Reading package lists...
  151. Building dependency tree...
  152. Reading state information...
  153. libexpat1-dev is already the newest version.
  154. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
  155. Reading package lists...
  156. Building dependency tree...
  157. Reading state information...
  158. bzip2 is already the newest version.
  159. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
  160. Reading package lists...
  161. Building dependency tree...
  162. Reading state information...
  163. libbz2-dev is already the newest version.
  164. 0 upgraded, 0 newly installed, 0 to remove and 669 not upgraded.
复制代码
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2021-7-28 10:08:14 | 显示全部楼层


有人给看看是怎么回事吗
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-7-28 10:40:45 | 显示全部楼层



不支持7.3和7.4的升级吗
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2021-7-28 10:52:22 | 显示全部楼层



上面的日志不全,请看这个附件

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-7-28 10:59:06 | 显示全部楼层

网上搜了搜,请问我下载lnmp1.8版本,然后使用lnmp1.8的升级脚本upgrade_php.sh升级php7.4可以吗?

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2021-7-28 13:04:51 | 显示全部楼层

lnmp 1.5发布时php 7.2才刚发布,怎么支持php 7.4
想升级php 7.4最起码需要lnmp 1.7或更高版本
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2021-9-23 20:46 , Processed in 0.052601 second(s), 27 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表